libfolks25-0.13.1-107.2.i586.rpm


Advertisement

Description

libfolks25 - Library to create metacontacts from multiple sources

Property Value
Distribution openSUSE Tumbleweed
Repository GNOME Factory x86_64 + i586
Package filename libfolks25-0.13.1-107.2.i586.rpm
Package name libfolks25
Package version 0.13.1
Package release 107.2
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://telepathy.freedesktop.org/wiki/Folks
License LGPL-2.1-or-later
Maintainer -
Download size 315.96 KB
Installed size 1.13 MB
libfolks is a library that aggregates people from multiple sources (e.g.
Telepathy connection managers) to create metacontacts.

Alternatives

Package Version Architecture Repository
libfolks25-0.13.2-171.3.i586.rpm 0.13.2 i586 GNOME Next
libfolks25-0.13.2-171.3.x86_64.rpm 0.13.2 x86_64 GNOME Next
libfolks25-0.13.1-104.6.x86_64.rpm 0.13.1 x86_64 GNOME Factory
libfolks25-0.13.1-1.2.i586.rpm 0.13.1 i586 openSUSE Oss
libfolks25-0.13.1-1.2.x86_64.rpm 0.13.1 x86_64 openSUSE Oss
libfolks25 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.4) -
libebook-contacts-1.2.so.3 -
libfolks-data >= 0.13.1
libgee-0.8.so.2 -
libgio-2.0.so.0 -
libglib-2.0.so.0 -
libgmodule-2.0.so.0 -
libgobject-2.0.so.0 -
libm.so.6 -
libm.so.6(GLIBC_2.29) -

Provides

Name Value
folks = 0.13.1
libfolks-dummy.so.25 -
libfolks.so.25 -
libfolks25 = 0.13.1-107.2
libfolks25(x86-32) = 0.13.1-107.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libfolks25-0.13.1-107.2.i586.rpm
Source Package folks-0.13.1-107.2.src.rpm

Install Howto

  1. Add the GNOME Factory repository:
    # zypper addrepo http://widehat.opensuse.org/repositories/GNOME:/Factory/openSUSE_Factory/ gnome-factory
  2. Install libfolks25 rpm package:
    # zypper install libfolks25

Files

Path
/usr/lib/libfolks-dummy.so.25
/usr/lib/libfolks-dummy.so.25.20.0
/usr/lib/libfolks.so.25
/usr/lib/libfolks.so.25.20.0
/usr/lib/folks/
/usr/lib/folks/45/
/usr/lib/folks/45/backends/
/usr/lib/folks/45/backends/bluez/bluez.so
/usr/lib/folks/45/backends/dummy/dummy.so
/usr/lib/folks/45/backends/key-file/key-file.so
/usr/lib/folks/45/backends/ofono/ofono.so
/usr/share/doc/packages/libfolks25/AUTHORS
/usr/share/doc/packages/libfolks25/NEWS
/usr/share/doc/packages/libfolks25/README.md
/usr/share/licenses/libfolks25/COPYING

Changelog

2020-01-23 - Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend folks-lang: the -lang package has respective
supplements to have smarter decision when to be installed.
2020-01-23 - Dominique Leuenberger <dimstar@opensuse.org>
- Add folks-meson-0.53.patch: Fix build with meson 0.53.
py_installation.dependency() is not meant to check if python
modules are present, but add a dependency on python.
2019-09-06 - luke@ljones.dev
- Disable lto in build due to lto causing segfault in Geary.
2019-09-04 - mgorse@suse.com
- Update to version 0.13.1:
+ Remove libsocialweb backend.
- Changes in version 0.12.1:
+ Disabled tests that were failing to be able to build a tarball.
- Changes in version 0.12.0:
+ Dropped depedency on libvaladoc (we now use the binary
directly).
+ Bumped minimal GLib version to 2.44.
+ Folks is now being built using meson.
+ The autotools build definition was dropped.
+ Dropped support for building without vala.
+ Migrated to the GNOME GitLab and now use a CI-backed workflow.
+ Moved from intltool to gettext.
+ Various fixes for warnings.
+ Lots of translation updates.
+ Bugs fixed:
- Bug 784544 - Fatal error building git master.
- Bug 739997 - Crash when selecting contact.
- Bug 792238 - PotentialMatch: don't rely on null-terminated
string.
- Bug 792567 - Individual.display_name: don't fallback on
persona's display_id if it equals the IID.
- Switch to meson.
- Drop intltool dependency. Depend on gettext..
- Drop folks-tracker.2.0.patch: fixed upstream.
- Module_version is now 45.
2019-01-04 - bjorn.lie@gmail.com
- Drop post(un) handling of glib2_gsettings_schema_post(un) for
libfolks-data subpackage, no longer needed.
2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2017-09-14 - fezhang@suse.com
- Drop build support of deprecated libsocialweb backend.
2017-09-08 - jengelh@inai.de
- Update summaries. Trim %if/%endif markers for package
declarations that are idempotent.
2017-07-21 - zaitor@opensuse.org
- Replace pkgconfig(tracker-sparql-1.0) with
pkgconfig(tracker-sparql-2.0) BuildRequires.
- Add folks-tracker.2.0.patch: Reference Tracker-2.0 from the .gir
file.
2017-07-03 - zaitor@opensuse.org
- Update to version 0.11.4:
+ Various fixes for Vala compiler and VAPI changes in upstream
projects.
+ Remove redundant locking.
+ Disable unknown BlueZ devices by default; BlueZ devices must
now be explicitly enabled via a configuration file before they
will be queried for personas.
+ Fix build with latest versions of valadoc.
+ Bugs fixed: bgo#781485, bgo#720274, bgo#778005, bgo#773011.

See Also

Package Description
libgcalc-1-0_0_0-3.34.1-109.11.i586.rpm Shared library for gnome-calculator
libgcalc-1-0_0_0-3.34.1-109.7.x86_64.rpm Shared library for gnome-calculator
libgck-1-0-3.34.0-85.2.x86_64.rpm GObject library to access PKCS#11 modules
libgck-1-0-3.34.0-88.3.i586.rpm GObject library to access PKCS#11 modules
libgck-1-0-32bit-3.34.0-88.3.x86_64.rpm GObject library to access PKCS#11 modules
libgck-devel-3.34.0-85.2.x86_64.rpm Development files for gck, a GObject library to access PKCS#11 modules
libgck-devel-3.34.0-88.3.i586.rpm Development files for gck, a GObject library to access PKCS#11 modules
libgck-devel-32bit-3.34.0-88.3.x86_64.rpm Development files for gck, a GObject library to access PKCS#11 modules
libgck-modules-gnome-keyring-3.34.0-256.4.x86_64.rpm Glib wrapper library for PKCS#11 - Modules
libgck-modules-gnome-keyring-3.34.0-259.3.i586.rpm Glib wrapper library for PKCS#11 - Modules
libgcr-3-1-3.34.0-85.2.x86_64.rpm Library for Crypto UI related tasks
libgcr-3-1-3.34.0-88.3.i586.rpm Library for Crypto UI related tasks
libgcr-3-1-32bit-3.34.0-88.3.x86_64.rpm Library for Crypto UI related tasks
libgcr-devel-3.34.0-85.2.x86_64.rpm Development files for gcr, a library for crypto UI related tasks
libgcr-devel-3.34.0-88.3.i586.rpm Development files for gcr, a library for crypto UI related tasks
Advertisement
Advertisement